Order and Inventory
Order and Inventory
  1. Inventory
  • Orders
    • Create Order
      POST
    • Get Order Status
      POST
    • Get Order Fulfillment Detail
      POST
  • Inventory
    • Get Inventory
      POST
    • Get PIM Data
      POST
  • Schemas
    • Schemas
      • Item
      • Order
      • Order-Status-Parameters
      • Order-Fulfillment-Parameters
      • inline_response_200
      • inline_response_200_1
      • inline_response_200_2
      • InventoryPIM_images
      • InventoryPIM_prices
      • inline_response_200_3
      • inline_response_200_1_shipmentDetails_serialDetails
      • inline_response_200_1_shipmentDetails_lineDetails
      • inline_response_200_1_shipmentDetails_carton
      • inline_response_200_1_shipmentDetails
      • inline_response_200_1_shipNotice
  1. Inventory

Get PIM Data

POST
https://test.v1.vertexapi.com/Inventory/PIM

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.v1.vertexapi.com/oauth2/token
Refresh URL: https://auth.v1.vertexapi.com/oauth2/token
or

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://test.v1.vertexapi.com/Inventory/PIM' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "deviceTitle": "string",
        "color": "string",
        "os": "string",
        "internalStorage": "string",
        "externalStorageMax": "string",
        "launchDate": null,
        "unspscCode": null,
        "harmonizedCode": "string",
        "taaCompliant": "string",
        "deviceWeight": "string",
        "deviceDimensions": "string",
        "hacRating": "string",
        "displayDescription": "string",
        "displaySize": "string",
        "bluetooth": "string",
        "memoryCardSlot": "string",
        "battery": "string",
        "processor": "string",
        "cameraFront": "string",
        "cameraRear": "string",
        "cameraFrontMP": "string",
        "cameraRearMP": "string",
        "sim": "string",
        "esim": "string",
        "ipRating": null,
        "ram": "string",
        "retailBoxHeight": "string",
        "retailBoxLength": "string",
        "retailBoxWidth": "string",
        "palletHeight": "string",
        "palletLength": "string",
        "palletWidth": "string",
        "endOfLifeDate": null,
        "endOfLife": "string",
        "UPC": "string",
        "MPN": "string",
        "Manufacturer": "string",
        "VertexSKU": "string",
        "images": {
            "frontImage": "string",
            "rearImage": "string",
            "leftImage": "string",
            "rightImage": "string"
        },
        "prices": {
            "msrp": 0,
            "yourPrice": 0,
            "map": 0
        }
    }
]
Modified at 2025-09-06 15:59:55
Previous
Get Inventory
Next
Item
Built with